<div class="container-body">
  <% if current_user.id == @user.id %>
      <div class="row">
          <div class="col-sm-3 col-sm-offset-8 col-lg-2 col-lg-offset-9">
            <%= link_to '+ ADD PHOTOS', new_photo_path, class: "btn btn-lg btn-success" %> 
          </div> 
      </div>
  <%end%>
  <div class="row col-lg-12">
    <% if photo != nil%>
      <% photo.each do |pts| %>
        <% if pts.image.attached?%>
          <div class="col-sm-6 col-lg-3 title-photo photo-show">
            <div class="col-lg-12 photo-single">
              <% if current_user.id == @user.id && pts.private == true %>
                <div class="lock-photo col-sm-offset-8 col-lg-offset-10 ">
                  <i class="fa fa-lock" style="font-size: 30px;" id = "lock-icon"></i>
                </div>
              <%end%>
              <div class="edit-photo btn">
                <%= link_to "EDIT", edit_photo_path(id: pts.id) %>
              </div>
                <a data-toggle="modal" href="#<%=pts.id%>"><%= image_tag(pts.image, class: "photo medium") %></a>
              <div class="title-photo">
                <% if pts.title.size > 20 %>
                  <%= pts.title[0..20] + "... " %> 
                <%else%>
                  <%= pts.title %> 
                <%end%>   
              </div>
              <!-- Create The modal -->
              <div class="modal fade" id= "<%=pts.id%>" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
                <div class="modal-dialog modal-sm" role="document">
                    <div class="modal-content">
                      <div class="modal-header">
                          <h4 class="modal-title" id="modalLabel"><%= pts.title %></h4>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                      </div>
                      <div class="modal-body ">
                        <%= image_tag(pts.image, class: "photo") %>
                      </div>
                      <div class="modal-footer">
                       <h2><%= pts.description %> </h2> 
                      </div>
                    </div>
                </div>
              </div>
              <!-- End The modal -->
            </div>
          </div>
        <%end%>
      <%end%>
    <%end%>
  </div>
  <div class="row col-lg-12 ">
    <%= paginate photo %>
  </div>
</div>